#include "entity.h"

Entity::Entity(coordinate _row, coordinate _col) :
    entity_row(_row), entity_col(_col)
{}

Entity::~Entity()
{}

/// Get current Entity position
void Entity::position(coordinate &row, coordinate &col) const noexcept
{
    row = entity_row;
    col = entity_col;
}

void Entity::setPosition(coordinate row, coordinate col)
{
    entity_row = row;
    entity_col = col;
}

coordinate Entity::row() const noexcept
{
    return entity_row;
}

coordinate Entity::col() const noexcept
{
    return entity_col;
}
